For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all tables in a collection.
      • POSTCreate a table in a collection.
      • GETGet a table by ID.
      • PUTUpdate a table by ID.
      • DELDelete a table by ID.
      • GETGet a tables schema by ID.
      • POSTSync a table with a list of documents.
LogoLogo
Scout DocsAccess Scout
EndpointsTables

Get a table by ID.

Beta
GET
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id
GET
/v2/collections/:collection_id/tables/:table_id
$curl https://api.scoutos.com/v2/collections/collection_id/tables/table_id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "table_config": {
4 "table_display_name": "Project Tasks",
5 "table_img_url": "https://example.com/images/project-tasks.png",
6 "table_description": "A table containing all tasks related to the current project.",
7 "schema": [
8 {
9 "column_id": "col-1234",
10 "column_display_name": "Completed",
11 "column_type": "checkbox",
12 "data_type": "boolean",
13 "hidden": false,
14 "automation_config": {
15 "mode": "typescript",
16 "button_text": "Mark Complete",
17 "executing_text": "Completing...",
18 "function": "function markComplete(row) { row.completed = true; }"
19 },
20 "default": false
21 }
22 ],
23 "icon_emoji": "🗂️",
24 "icon_asset_url": "https://example.com/icons/tasks-icon.svg",
25 "icon_fill": "#4A90E2",
26 "plural_name": "Tasks"
27 },
28 "created_by": {
29 "type": "user",
30 "details": {
31 "api_key": {}
32 }
33 },
34 "last_updated_by": {
35 "type": "user",
36 "details": {
37 "api_key": {}
38 }
39 },
40 "revision_id": "rev-7890abcd",
41 "table_id": "tbl-4567efgh",
42 "index_id": "idx-1234abcd",
43 "created_at": "2024-01-15T09:30:00Z",
44 "last_updated_at": "2024-01-15T09:30:00Z",
45 "collection_id": "col-9876wxyz",
46 "documents_uploading": false,
47 "migrated": false,
48 "agent_table_id": "agent-tbl-0012"
49 }
50}
Was this page helpful?
Previous

Update a table by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error